Bug 1350393 - setup-ds.pl fails on F24 if perl-Errno is not updated
Summary: setup-ds.pl fails on F24 if perl-Errno is not updated
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-27 10:31 UTC by Petr Vobornik
Modified: 2016-11-19 21:10 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-06 00:25:55 UTC


Attachments (Terms of Use)

Description Petr Vobornik 2016-06-27 10:31:07 UTC
Description of problem:

Installing FreeIPA 4.3.1 on F24 with perl-Errno-1.23-358.fc24.x86_64 fails in setup-ds.pl.

Updating perl-Errno to solves the issue.

Some component needs to perl-Errno-1.23-360.fc24.x86_64 raise its dependency, either 389-ds or some Perl one.


2016-06-27T10:20:48Z DEBUG calling setup-ds.pl
2016-06-27T10:20:48Z DEBUG Starting external process
2016-06-27T10:20:48Z DEBUG args=/usr/sbin/setup-ds.pl --silent --logfile - -f /tmp/tmp_NZb9C
2016-06-27T10:20:48Z DEBUG Process finished, return code=255
2016-06-27T10:20:48Z DEBUG stdout=
2016-06-27T10:20:48Z DEBUG stderr=Errno architecture (x86_64-linux-thread-multi-4.3.5-300.fc23.x86_64) does not match executable architecture (x86_64-linux-thread-multi-4.4.9-300.fc23.x86_64) at /usr/lib64/perl5
/Errno.pm line 11.
Compilation failed in require at /usr/share/perl5/vendor_perl/File/Temp.pm line 17.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/File/Temp.pm line 17.
Compilation failed in require at /usr/lib64/dirsrv/perl/SetupLog.pm line 20.
BEGIN failed--compilation aborted at /usr/lib64/dirsrv/perl/SetupLog.pm line 20.
Compilation failed in require at /usr/lib64/dirsrv/perl/Setup.pm line 37.
BEGIN failed--compilation aborted at /usr/lib64/dirsrv/perl/Setup.pm line 37.
Compilation failed in require at /usr/sbin/setup-ds.pl line 15.
BEGIN failed--compilation aborted at /usr/sbin/setup-ds.pl line 15.

2016-06-27T10:20:48Z DEBUG Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ipaserver/install/service.py", line 447, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python2.7/site-packages/ipaserver/install/service.py", line 437, in run_step
    method()
  File "/usr/lib/python2.7/site-packages/ipaserver/install/dsinstance.py", line 547, in __create_instance
    raise RuntimeError("failed to create ds instance %s" % e)
RuntimeError: failed to create ds instance Command '/usr/sbin/setup-ds.pl --silent --logfile - -f /tmp/tmp_NZb9C' returned non-zero exit status 255


Version-Release number of selected component (if applicable):
perl-Errno-1.23-358.fc24.x86_64
freeipa-server-4.3.1-1.fc24.x86_64
389-ds-base-1.3.5.6-1.fc24.x86_64

Expected result:
`dnf install 389-ds-base` will pull all required dependencies with proper versions.

Comment 1 Noriko Hosoi 2016-06-27 16:01:31 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48901

Comment 2 Fedora Update System 2016-11-03 20:44:46 UTC
389-ds-base-1.3.5.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 3 Fedora Update System 2016-11-03 21:17:19 UTC
389-ds-base-1.3.5.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 4 Fedora Update System 2016-11-05 03:34:29 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 5 Fedora Update System 2016-11-05 18:59:30 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 6 Fedora Update System 2016-11-06 00:25:55 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-11-19 21:10:38 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.